import { createApp } from 'vue'
// import CSS global
import './assets/style.css'
// import app vue racine
import App from './App.vue'
// import composants
import TitleContent from './components/TitleContent.vue'
import InfoContent from './components/InfoContent.vue'
import TitleText from './titleComponents/TitleText.vue'
import GeneratedContent from './titleComponents/GeneratedContent.vue'
import MusicPlayer from './titleComponents/MusicPlayer.vue'
import InfoMenu from './infoComponents/InfoMenu.vue'
import InboxContent from './infoComponents/InboxContent.vue'

// création app racine
const app = createApp(App);

//Composants
app.component('TitleDiv', TitleContent);
app.component('InfoDiv', InfoContent);
app.component('PlayerDiv', MusicPlayer);
app.component('TitleTextDiv', TitleText);
app.component('GeneratedDiv',GeneratedContent);
app.component('InfoMenuDiv', InfoMenu);
app.component('InboxDiv', InboxContent);

//Montage dans div#app de index.html
app.mount('#app');
